Package weka.classifiers.functions.explicitboundaries.combiners

# Class APotentialFunctionSingleParam

java.lang.Object
weka.classifiers.functions.explicitboundaries.combiners.APotentialFunctionSingleParam

All Implemented Interfaces:
  `Serializable`, `PotentialFunction`, `weka.core.OptionHandler`

Direct Known Subclasses:
  `PotentialFunctionExp`, `PotentialFunctionExp2`, `PotentialFunctionExp3`, `PotentialFunctionExp4`, `PotentialFunctionExp5`, `PotentialFunctionSqrt`, `PotentialFunctionTanh`

public abstract class APotentialFunctionSingleParam extends Object implements PotentialFunction, weka.core.OptionHandler, Serializable
Class is a parent class for potential functions with single parametrs

Since:
  2.0.0
Version:
  2.0.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `APotentialFunctionSingleParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `alphaTipText()`
  `double`
  `getAlpha()`
  `String[]`
  `getOptions()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `void`
  `setAlpha(double alpha)`
  `void`
  `setOptions(String[] options)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.functions.explicitboundaries.combiners.PotentialFunction

  `getPotentialValue`

- ## Constructor Details

  - ### APotentialFunctionSingleParam

    public APotentialFunctionSingleParam()

- ## Method Details

  - ### getAlpha

    public double getAlpha()
    Returns:
      the alpha

  - ### setAlpha

    public void setAlpha(double alpha)
    Parameters:
      `alpha` - the alpha to set

  - ### alphaTipText

    public String alphaTipText()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`